;**************************************************************************
;
; Filename : MAIN_TASK.ASM
; ------------------------
;
; (c) 1990 by Thomas Lehmann
;
;
; Jackophone V5.00
;
;
; Main Routine
;
;
;**************************************************************************

MODUL_START	set	*	; Gre des Moduls berechnen


	; =========================================================
	; Hauptprg. Task
	; !! die Task darf nicht schlafen gelegt werden (Tast-Task)
	; =========================================================

main_task	jsr watchdog_m	; Software Watchdog Main Prg.
	jsr taster_los	; testen ob Taster losgelassen wurde
	jsr ltg_bel	; Ltg. belegen wenn Anforderung besteht
	jsr tst_anr	; Anruf testen
	jsr summer	; Summer ein/ausschalten
	jsr anr_led	; Anruf-LED ein/ausschalten
	jsr get_gu	; GU-Zustand einlesen

	jsr nxt_task	; nchste Task aktivieren

	; ========================================
	; Task zur Anzeige verschiedener Meldungen
	; ========================================
	lda Dip_sw	; Zustand des DIP-Schalters einlesen
	sta dip_stat	; und in Zeropage ablegen
	jsr tst_ss	; SS Zustand schalten und direkt anzeigen

	jsr uhr_notbetr	; Notbetrieb der Uhr testen
	jsr uhr_trigger	; Uhr nachtriggern
	jsr displ_out	; aktuelle Display-Ausgaben anzeigen
	jsr inc_geb	; Gesprchsdauer bzw. Gebhrenzeit nachfhren

	jsr nxt_task	; nchste Task aktivieren


	bra main_task	; neuer Durchlauf





; --------------------------------------------------------------------------

HLP	set	*
_MAIN_TASK	equ	HLP-MODUL_START		; Gre des Moduls

